"use strict";

exports.__esModule = true;
exports.use = exports.default = use;
Object.defineProperty(exports, "buildOptions", {
  enumerable: true,
  get: function get() {
    return _buildOptions.default;
  }
});
Object.defineProperty(exports, "defaultOptions", {
  enumerable: true,
  get: function get() {
    return _defaultOptions.default;
  }
});
Object.defineProperty(exports, "preview", {
  enumerable: true,
  get: function get() {
    return _preview.default;
  }
});
Object.defineProperty(exports, "util", {
  enumerable: true,
  get: function get() {
    return _util.default;
  }
});
exports.preset = void 0;

var _buildOptions = _interopRequireDefault(require("./buildOptions"));

var _defaultOptions = _interopRequireDefault(require("./defaultOptions"));

var _preview = _interopRequireDefault(require("./preview"));

var _util = _interopRequireWildcard(require("./util"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Futago-za Ryuu's Babel preset generator.
 *
 * WARNING: This default method is only intended to be used by Babel.
 *
 * @param {any} [context]
 * @param {object} [_config]
 */
function use(context, _config) {
  var options = (0, _buildOptions.default)(_config);
  var config = options.config;
  var plugins = [];
  var presets = [];
  presets.push([(0, _util.resolve)("babel-preset-env"), options.env]);

  if (config.stage > -1 && config.stage < 4) {
    presets.push((0, _util.resolve)("babel-preset-stage-" + config.stage));
  }

  if (options.resolver) plugins.push([(0, _util.resolve)("babel-plugin-module-resolver"), options.resolver]);
  if (options.async) plugins.push([(0, _util.resolve)("babel-plugin-transform-async-to-module-method"), options.async]);
  if (options.runtime) plugins.push([(0, _util.resolve)("babel-plugin-transform-runtime"), options.runtime]);
  return {
    shouldPrintComment(comment) {
      if (!config.removeEslintComments) return true;
      return comment.trim().startsWith("eslint", 0) === false;
    },

    "plugins": plugins,
    "presets": presets
  };
}
/**
 * Exports (e.g. `import * as preset from "babel-preset-futagozaryuu";`).
 */


// v1 API compatibility
var preset = use;
exports.preset = preset;